<p>Sometimes, instead of using the master/main devstack, you'll need to work on the latest Open edX release. (Each release is named after tress, e.g. Redwood, Sumac, Teak, etc.)</p>
<p>Here is how you can do that. Only follow this guide if you know that you need a specific named release.</p>
<p>Generally, you can <a href="https://docs.tutor.edly.io/install.html#running-older-releases-of-open-edx">follow the Tutor documentation</a> for how to install and set up Tutor for a specific Open edX release. But before you do that, we highly recommend you set up a virtual environment manager to manage the python virtual environment for your new devstack. You can use <a href="https://mise.jdx.dev/">mise</a>, <a href="https://github.com/astral-sh/uv">uv</a>, <a href="https://direnv.net/">direnv</a>, <a href="https://github.com/pyenv/pyenv">pyenv</a>, <a href="https://asdf-vm.com/guide/introduction.html">asdf</a>, or any similar tool of your choice. In particular, we recommend that you use that tool to set the environment variable TUTOR_ROOT to the directory of your devstack. That variable determines where Tutor keeps all of its data and changing it from the default will help you in two ways: (1) it keeps your various devstacks isolated from each other, and (2) it makes it easier to find, inspect, and modify the important Tutor data files like config.yml.</p>
<p>Here is an example of creating a new "Sumac" release Open edX devstack using Tutor 19 and mise:</p>
<pre>mkdir tutor-sumac
cd tutor-sumac
mise use python@3.12
# Tell mise to create a venv here instead of using a shared python install:
mise config set env._.python.venv.path .venv
mise config set env._.python.venv.create true
# Tell Tutor to store its data here, separate from other devstacks:
mise set TUTOR_ROOT=$(pwd)
mise set TUTOR_PLUGINS_ROOT=$(pwd)/plugins

# Set up Tutor 19 (Open edX Sumac)
pip install 'tutor[full]&gt;=19.0.0,&lt;20.0.0'
# If you have uv installed globally, prefix the command above with uv, as pip isn't available in the venv
# uv pip install 'tutor[full]&gt;=19.0.0,&lt;20.0.0'

# Set up an editable version of edx-platform (Optional)
# This would work, but is slow and takes up a lot of disk space:
#   git clone -b open-release/sumac.master --single-branch git@github.com:openedx/edx-platform.git
# So if you have an existing checkout of edx-platform (e.g. master), just create a new worktree with the branch we need:
#   cd existing edx-platform repo ; add new worktree for this new tutor instance (e.g. 'tutor-sumac'); cd back
cd ../tutor-devstack/edx-platform ; git worktree add ../../tutor-sumac/edx-platform open-release/sumac.master ; cd -
tutor mounts add ./edx-platform

# Launch the devstack
tutor images build openedx-dev
tutor dev launch

# Setup
tutor dev do createuser --staff --superuser YourName yourname@opencraft.com
tutor dev do importdemocourse
</pre>
<p>Access your new devstack at the URLs printed at the end of the <code>tutor dev launch</code> step.</p>